%global ovirt_user_description oVirt Manager
%global engine_name ovirt-engine
%global engine_state %{_localstatedir}/lib/%{engine_name}
%global engine_gid 108
%global engine_group ovirt
%global engine_uid 108
%global engine_user ovirt

# Macro to create an user:
# %1 user name
# %2 user id
# %3 primary group name
# %4 primary group id
# %5 description
# %6 home directory

%global _ovirt_create_user() \
getent group %3 >/dev/null || groupadd -r -g %4 %3; \
getent passwd %1 >/dev/null || useradd -r -u %2 -g %3 -c %5 -s /sbin/nologin -d %6 %1

%global ovirt_create_user_engine \
%_ovirt_create_user %{engine_user} %{engine_uid} %{engine_group} %{engine_gid} "%{ovirt_user_description}" %{engine_state}

Name:			redhat-access-plugin-rhsc
Version:		3.1.3
Release:		0%{?release_suffix}%{?dist}
Summary:		Plugin for Red Hat Storage Console

Group:			Development/Libraries
License:		ASL 2.0
URL:			http://www.ovirt.org
BuildArch:		noarch
Source0: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-3.0.pom
Source1: http://people.redhat.com/sshumake/projects/redhat-access-plugin-rhsc/redhat-access-plugin-rhsc-3.0-scm-sources.zip

Obsoletes: redhat-access-plugin-storage
Requires: rhsc >= 3.0
Requires: usermode

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The Red Hat Access Plugin is a support 
plugin for RHSC

%prep
# We build RHSC in the MEAD environment, and that means that the
# sources are archived with root based on repository name

%setup -q -T -b 1 -n redhat-access-plugin-storage

%build

%install
rm -rf %{buildroot}

# ovirt-engine owns the following folders, but we need them for later steps
install -d %{buildroot}/usr/share/ovirt-engine/
install -d %{buildroot}/usr/share/ovirt-engine/ui-plugins/
install -d %{buildroot}/usr/share/ovirt-engine/dbscripts/
# Install GSS DB wrapper script
install -m 755 packaging/bin/engine-psql.sh %{buildroot}/usr/share/ovirt-engine/dbscripts/

# Copy these two files that are required for the plugin
cp -r ui-plugins/* %{buildroot}/usr/share/ovirt-engine/ui-plugins/

%files
%defattr(-,ovirt,ovirt,-)
%dir /usr/share/ovirt-engine/ui-plugins/redhat-access-plugin-rhsc
/usr/share/ovirt-engine/ui-plugins/redhat-access-plugin-rhsc/start.html
/usr/share/ovirt-engine/ui-plugins/redhat-access-plugin-rhsc.json
/usr/share/ovirt-engine/dbscripts/engine-psql.sh
%doc LICENSE

%posttrans
# If this is an upgrade, make sure application.xml modifications are removed.
if [ -f /usr/share/ovirt-engine/engine.ear/META-INF/application.xml ]; then
    if grep -q 'START Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml; then
    	sed  -i '/<!-- START Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->/,/<!-- END Red Hat Support Plug-in DO NOT REMOVE THIS COMMENT -->/d' /usr/share/ovirt-engine/engine.ear/META-INF/application.xml
	fi
fi

%changelog
* Wed Mar 23 2016 Sahina Bose <sabose@redhat.com> 3.1.3-0
- Removed log viewer and access plugin war and ear
  Restored engine-psql.sh
